FirebirdSelectAction (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.dba.firebird, class: FirebirdSelectAction

# Class FirebirdSelectAction

java.lang.Object
org.apache.cayenne.access.jdbc.BaseSQLAction
org.apache.cayenne.access.jdbc.SelectAction
org.apache.cayenne.dba.firebird.FirebirdSelectAction

All Implemented Interfaces:
  `SQLAction`

public class FirebirdSelectAction extends SelectAction

Since:
  4.1

- ## Field Summary

  ### Fields inherited from class SelectAction

  `query, queryMetadata`
  Modifier and Type
  Field
  Description
  `protected Select<?>`
  `query`
  `protected QueryMetadata`
  `queryMetadata`

  ### Fields inherited from class BaseSQLAction

  `dataNode`
  Modifier and Type
  Field
  Description
  `protected DataNode`
  `dataNode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FirebirdSelectAction(Select<?> query, DataNode dataNode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getInMemoryOffset(int queryOffset)`
  Returns a value of the offset that will be used to rewind the ResultSet within the SQL action before reading the result rows.

  ### Methods inherited from class SelectAction

  `performAction`
  Modifier and Type
  Method
  Description
  `void`
  `performAction(Connection connection, OperationObserver observer)`
  Executes a query using a strategy defined by the implementation.

  ### Methods inherited from class BaseSQLAction

  `readResultSet`
  Modifier and Type
  Method
  Description
  `protected void`
  `readResultSet(ResultSet resultSet, RowDescriptor descriptor, Query query, OperationObserver delegate)`
  Helper method to process a ResultSet.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FirebirdSelectAction

    public FirebirdSelectAction(Select<?> query, DataNode dataNode)

- ## Method Details

  - ### getInMemoryOffset

    protected int getInMemoryOffset(int queryOffset)
    Description copied from class: `BaseSQLAction`
    Returns a value of the offset that will be used to rewind the ResultSet within the SQL action before reading the result rows. The default implementation returns 'queryOffset' argument. If the adapter supports setting offset at the SQL level, this method must be overridden to return zero to suppress manual offset.
    Overrides:
      `getInMemoryOffset` in class `BaseSQLAction`